VRENDER_GET_SHADERS(3)

FUNCTION
vrender_get_shaders - Get the names of all registered shaders.

SYNOPSIS
#include <karma_vrender.h>

CONST char ** vrender_get_shaders

(unsigned int *num_shaders)

DESCRIPTION
Get the names of all registered shaders.

num_shaders
    The number of registered shaders is written here.

RETURN VALUE
An array of shader names on success, else NULL. This array must be deallocated when no longer needed. The individual names must NOT be deallocated.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/